<?php
#
# nslog_readmore_update_options()
#

function nslog_readmore_update_options()
{
	#echo '<pre>';
	#var_dump($_POST['nslog_readmore']);
	#echo '</pre>';

	$options = $_POST['nslog_readmore'];
	$options['remove_idlink'] = isset($options['remove_idlink']);
	$options['remove_anchor'] = isset($options['remove_anchor']);
	$options['add_title'] = isset($options['add_title']);
	$options['new_paragraph'] = isset($options['new_paragraph']);

	update_option('nslog_readmore_options', $options);
} # end nslog_readmore_update_options()


#
# nslog_readmore_add_admin()
#

function nslog_readmore_add_admin()
{
	add_options_page(
			__('BetterWPReadMore'),
			__('BetterWPReadMore'),
			7,
			str_replace("\\", "/", __FILE__),
			'nslog_readmore_admin'
			);
} # end nslog_readmore_add_admin()

add_action('admin_menu', 'nslog_readmore_add_admin');


#
# nslog_readmore_admin()
#

function nslog_readmore_admin()
{
	# Acknowledge update

	if ( isset($_POST['update_nslog_readmore_options'])
		&& $_POST['update_nslog_readmore_options']
		)
	{
		nslog_readmore_update_options();

		echo "<div class=\"updated\">\n"
			. "<p>"
				. "<strong>"
				. __('Options saved.')
				. "</strong>"
			. "</p>\n"
			. "</div>\n";
	}

	$options = get_option('nslog_readmore_options');

	# show controls

	echo "<div class=\"wrap\">\n"
		. "<h2>" . __('BetterWPReadMore Options') . "</h2>\n"
		. "<form method=\"post\" action=\"\">\n";

	echo '<input type="hidden" name="update_nslog_readmore_options" value="1">';	

	echo '<p><label for="nslog_readmore[remove_idlink]">'
		. '<input type="checkbox"'
			. ' name="nslog_readmore[remove_idlink]" id="nslog_readmore[remove_idlink]"'
			. ( $options['remove_idlink'] ? ' checked="checked"' : '' )
			. ' />'
		. '&nbsp;'
		. __('Remove &lt;a id="more-xxxx"&gt; on individual pages.')
		. '</label>'
		. '</p>';

	echo '<p><label for="nslog_readmore[remove_anchor]">'
		. '<input type="checkbox"'
			. ' name="nslog_readmore[remove_anchor]" id="nslog_readmore[remove_anchor]"'
			. ( $options['remove_anchor'] ? ' checked="checked"' : '' )
			. ' />'
		. '&nbsp;'
		. __('Remove "#more-xxxx" on index.')
		. '</label>'
		. '</p>';

	echo '<p><label for="nslog_readmore[add_title]">'
		. '<input type="checkbox"'
			. ' name="nslog_readmore[add_title]" id="nslog_readmore[add_title]"'
			. ( $options['add_title'] ? ' checked="checked"' : '' )
			. ' />'
		. '&nbsp;'
		. __('Add title to "Read More" links on index.')
		. '</label>'
		. '</p>';

	echo '<p><label for="nslog_readmore[new_paragraph]">'
		. '<input type="checkbox"'
			. ' name="nslog_readmore[new_paragraph]" id="nslog_readmore[new_paragraph]"'
			. ( $options['new_paragraph'] ? ' checked="checked"' : '' )
			. ' />'
		. '&nbsp;'
		. __('Put "Read More" links in their own paragraph.')
		. '</label>'
		. '</p>';

	echo '<p class="submit">'
		. '<input type="submit"'
			. ' value="' . __('Update Options') . '"'
			. ' />'
		. '</p>';

	echo '</form>'
		. '</div>';
} # end nslog_readmore_admin()
?>